Subject: Re: [PATCH V2 00/12] POWER DSCR fixes, improvements, docs and tests

From: Anshuman Khandual <[email-masked]>
Date: Wed, 04 Feb 2015 13:51:01 +0530

On 01/13/2015 03:52 PM, Anshuman Khandual wrote:
> 	This patch series has patches for POWER DSCR fixes, improvements,
> in code documentaion, kernel support user documentation and selftest based
> test cases. It has got five test cases which are derived from Anton's DSCR
> test bucket which can be listed as follows.
> 
> (1) http://ozlabs.org/~anton/junkcode/dscr_default_test.c
> (2) http://ozlabs.org/~anton/junkcode/dscr_explicit_test.c
> (3) http://ozlabs.org/~anton/junkcode/dscr_inherit_exec_test.c
> (4) http://ozlabs.org/~anton/junkcode/dscr_inherit_test.c
> (5) http://ozlabs.org/~anton/junkcode/user_dscr_test.c
> 
> So the derivied test cases have Anton's copyright along with mine but the
> commit message as of now has only my signed-off-by statement. As Anton
> mentioned before he would put his signed-off-by after reviewing these
> modified test cases.
> 
> NOTE1: Anton's original inherit exec test expected the child to have system
> default DSCR value instead of the inherited DSCR value from it's parent.
> But looks like thats not the case when we execute the test, it always
> inherits it's parent's DSCR value over the exec call as well. So I have
> changed the test program assuming its correct to have the inherited DSCR
> value in the fork/execed child program. Please let me know if thats not
> correct and I am missing something there.
> 
> NOTE2: The selftests/powerpc/.gitignore will be added and will get updated
> through a different patch series related to ptrace instead of this one.
> 
> Changes in V2:
> -------------
> - Updated the thread struct DSCR value inside mtspr facility exception path
> - Modified the in code documentation to follow the kernel-doc format
> - Added seven selftest based DSCR related test cases under powerpc

Hey Michael,

Did you get a chance to look into these patches ? After going through the
discussions regarding all the selftest test cases, seems like they are good
to go unless you disagree.